Documentation Index
Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt
Use this file to discover all available pages before exploring further.
Use case: Setup Kubernetes Complete Observability integration
Coralogix’s Kubernetes Complete Observability provides a comprehensive solution for full-stack observability in your Kubernetes environment. View all of your nodes, pods and cluster metrics, pod logs, and k8s events, as well as your distributed traces pipeline. Take advantage of our Kubernetes Dashboard using our pre-configured OpenTelemetry Collector.
Prerequisites
-
A Coralogix Send-Your-Data API key
-
Helm v3.9+ installed and configured
-
Your Coralogix domain (e.g.,
eu2.coralogix.com)
-
A Kubernetes secret named
coralogix-keys, that includes the key PRIVATE_KEY.
If not already created, run:
kubectl create secret generic coralogix-keys --from-literal=PRIVATE_KEY="<private_key>"
Steps
Step 1: Install the Helm Chart for the Integration
helm repo add coralogix https://cgx.jfrog.io/artifactory/coralogix-charts-virtual
helm repo update
Run the following command to deploy the integration. Make sure that you replace the <cluster name> with your cluster name and <coralogix_domain> with your Coralogix domain.
helm upgrade --install otel-coralogix-integration coralogix/otel-integration --version=0.0.166 --render-subchart-notes --set global.domain="<domain_name>" --set global.clusterName="<cluster_name>"
Step 2: Obtain your API key ID
Navigate to Settings → Keys to download the details of the Send-Your-Data API key you choose to use for this integration.
Open the downloaded file and extract the keyId field value.
Step 3: Register the Integration via API
Use the following HTTP request to persist the integration metadata:
POST /v1/integrations/metadata
Request Body
{
"integrationKey": "otel-agent-k8s",
"version": "0.0.166",
"specificData": {
"$case": "integrationParameters",
"integrationParameters": {
"parameters": [
{
"key": "CollectorName",
"value": {
"$case": "stringValue",
"stringValue": "otel-collector-for-k8s"
}
},
{
"key": "ApplicationName",
"value": {
"$case": "stringValue",
"stringValue": "otel"
}
},
{
"key": "SubsystemName",
"value": {
"$case": "stringValue",
"stringValue": "integration"
}
},
{
"key": "PrivateKey",
"value": {
"$case": "apiKey",
"apiKey": {
"id": "<api_key_id>"
}
}
},
{
"key": "LogsCollection",
"value": {
"$case": "booleanValue",
"booleanValue": true
}
}
]
}
}
}
Sample response
{
"integrationId": "07867979-55e5-4c73-8c54-474cd2f54124"
}